const nProxy = require('../index.js');
const local = {
    targetName: 'local',
    target: 'https://localhost:4949',
    changeOrigin: true,
    secure: false
  },
  remote = {
    targetName: 'remote',
    requestCert: false,
    rejectUnauthorized: false,
    target: 'https://testsite.nydc1.outbrain.com:8443',
    secure: false,
    changeOrigin: true,
    autoRewrite: true

  },
  routingTable = {
    'site': local,
    '^/static': local,
    '/*/': remote
  };

const options = {
  routingTable: routingTable,
  home_port: 2109,
  debug: true,
  startPath: 'amplify/site/',
  proxyRes: function (req) {
    //...
  },
  proxyReq: function(res) {
    //..
  }
};

nProxy(options);